
QGIS Application - Bug report #4651

Error in "Pretty Breaks" classification mode

2011-12-15 06:04 AM - magerlin -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Win Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14549

Description

Hi I tried to used the "Pretty Breaks" classification mode.

It enden up with classes:

0-100 

100-200 

200-300 

.... 

600-700 

700-782

It is quite pretty but the max value in my shape file is 15718??

So these large values just disappear from my map!

It is a very big shape file with 1.5 million records. 

If I save a smaller selection as a new shape file and use "Pretty Breaks" I get the right classes.

History

#1 - 2011-12-16 10:52 AM - Giovanni Manghi

- Target version changed from Version 1.7.1 to Version 1.7.4

#2 - 2011-12-16 02:04 PM - Giovanni Manghi

- Category set to Symbology

#3 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-07 07:09 AM - Médéric RIBREUX

- Resolution set to fixed/implemented
- Status changed from Open to Closed

- % Done changed from 0 to 100

Hello, bug triage...

this bug is fixed, at least on QGIS 2.13 master. I can have 1,6 million of points and the Pretty Breaks option of the graduated renderer make classes with

all the values of my layer.

I am closing this bug.
